Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.abase
Class AMPTerminalConverters

    java.lang.Object
      org.eclipse.xtext.conversion.impl.AbstractValueConverterService
          org.eclipse.xtext.conversion.impl.AbstractDeclarativeValueConverterService
              org.eclipse.xtext.common.services.DefaultTerminalConverters
                  org.eclipse.amp.amf.abase.AMPTerminalConverters

All Implemented Interfaces:
  org.eclipse.xtext.conversion.IValueConverterService

    public class AMPTerminalConverters

extends org.eclipse.xtext.common.services.DefaultTerminalConverters

Author:
  mparker

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.common.services.DefaultTerminalConverters
`org.eclipse.xtext.common.services.DefaultTerminalConverters.IDValueConverter, org.eclipse.xtext.common.services.DefaultTerminalConverters.INTValueConverter, org.eclipse.xtext.common.services.DefaultTerminalConverters.STRINGValueConverter`

Constructor Summary
`AMPTerminalConverters()`

Method Summary
`org.eclipse.xtext.conversion.IValueConverter<java.lang.String>` | `DESC_STRING()`

Methods inherited from class org.eclipse.xtext.common.services.DefaultTerminalConverters
`ID, INT, STRING`

Methods inherited from class org.eclipse.xtext.conversion.impl.AbstractDeclarativeValueConverterService
`setGrammar, toString, toValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AMPTerminalConverters

    public AMPTerminalConverters()

Method Detail

### DESC_STRING

    public org.eclipse.xtext.conversion.IValueConverter<java.lang.String> DESC_STRING()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD